# MetaCentrum tutorial
In the document, `<username>` is your username on the MetaCentrum.

Copy the files to metacentrum
```bash
scp main.cpp <username>@skirit.metacentrum.cz:/storage/brno2/home/<username>
scp runner.sh <username>@skirit.metacentrum.cz:/storage/brno2/home/<username>
```

Connect to metacentrum
```bash
ssh <username>@skirit.metacentrum.cz
```

Run job
```bash
qsub -l select=1:ncpus=4:mem=4gb:scratch_local=10gb -l walltime=00:05:00 runner.sh
```

Query your jobs
```bash
qstat -xu $LOGNAME
```

Kill a job, where `<id>` is the id of the job returned by qsub
```bash
qdel <id>
```

For the official MetaCentrum quickstart + pointers to details, visit
https://wiki.metacentrum.cz/wiki/How_to_compute/Quick_start